import java.util.Scanner;
import java.io.File;
import java.io.FileNotFoundException;

/**
 * This class contains methods that read input from the keyboard, and
 * from a text file.
 */

public class Input
{

    /**
     * Some sample code that reads two integers from the keyboard and 
     * prints them out.  It will crash if the user doesn't behave.
     */
    public void readTwoInts() {
        System.out.println("Please enter two integers:");
        Scanner input = new Scanner(System.in); // Create scanner reading from keyboard
        int a = input.nextInt();    // Read an integer
        System.out.println("Got it -- I read the "+a+" you entered");
        int b = input.nextInt();    // Read another one
        System.out.println("Thanks.  Got the "+b+" as well.");
    }

    /**
     * Asks the user some questions, then suggests a user name for them.
     */
    public void suggestUsername() 
    {
        // Create Scanner that's reading from the keyboard (System.in)
        // Prompt the user to enter their name
        // Read the pieces of their name via calls to next()
        // Prompt them for an integer
        // Assemble the pieces and print their username        
    }

    /**
     * We wrote a version of this in class.  I'm putting it here so you have another
     * example of some working code to look at as you implement the other methods.
     * 
     * @param filename  The name of the file to read from.
     */
    public void printAllLines(String filename) throws java.io.FileNotFoundException
    {
        File theFile = new File(filename);  // Create File object corresponding to the file
        if (theFile.exists()) {
            Scanner scan = new Scanner(theFile);    // Scanner reads from file!
            while(scan.hasNext()) {
                String line = scan.nextLine();
                System.out.println("Got: "+line);
            }
        }
        else {
            System.out.println("The file doesn't exist!");
        }
    }

    /**
     * This method asks the user for a filename, then calls the
     * printAllLines method above. Doing it this way means we don't need
     * to have BlueJ pop up a dialog box for us to get the filename.
     */
    public void printContents() 
    {
        Scanner scan = new Scanner(System.in);
        System.out.println("Enter a filename:");
        // Get the filename from the user via next()
        // Call printAllLines with the filename
    }

    /**
     * Prints only the values greater than zero.  This is basically the method above
     * but now with an if statement in the body of the loop, and reading integers
     * rather than strings.
     */
    public void printPositiveValues(String fileName) throws FileNotFoundException {
        // Add code here
    }  

    /**
     * Repeatedly reads ints from the specified file, summing them, until 
     * a negative value is reached.  Should return the sum of all of the 
     * numbers that came before the negative value.  You may assume that 
     * the file contains at least one number (though it could be negative).
     */
    public int sumUntilNegative(String fileName) throws FileNotFoundException {
        // Replace the line below with your own code
        return 0;
    }  

    /**
     * Prints information each time it finds two identical neighboring values.  This
     * requires keeping TWO values from the sequence -- current and previous.
     */
    public void findIdenticalNeighbors(String fileName) throws FileNotFoundException {
        // Add code here
    }  
}
